Ubuntu

Please merge proftpd-dfsg 1.3.1-17 (universe) from Debian unstable (main)

Reported by Nick Ellery on 2009-02-13
2
Affects Status Importance Assigned to Milestone
proftpd-dfsg (Ubuntu)
Wishlist
Unassigned

Bug Description

Please merge proftpd-dfsg 1.3.1-17 (universe) from Debian unstable (main).

 proftpd-dfsg (1.3.1-17) unstable; urgency=high

   * Security: added 3173.dpatch patch to manage a critical encoding-dependent SQL
     injection with SQL-based authentication.
     See http://bugs.proftpd.org/show_bug.cgi?id=3173. This is fixed in 1.3.2.
     Thanks TJ for backported patch.
   * Now debian/rules removes at cleaning time a couple of .la files
     under contrib/ still around after building. This fixes a recently discovered
     FTBS error due to those files.

 -- Francesco Paolo Lovergine <email address hidden> Fri, 06 Feb 2009 12:52:04 +0100

Related branches

Nick Ellery (nick.ellery) wrote :

proftpd-dfsg (1.3.1-17ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    - mod_rewrite.c.dpatch: Added S_IRUSR|S_IWUSR to build with the new
      Compiler Flags

 -- Nick Ellery <email address hidden> Fri, 13 Feb 2009 10:45:48 -0800

Changed in proftpd-dfsg:
importance: Undecided → Wishlist
status: New → Confirmed
Nick Ellery (nick.ellery) wrote :
Nick Ellery (nick.ellery) wrote :
Alessio Treglia (quadrispro) wrote :

Uploaded, thanks.

Changed in proftpd-dfsg:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package proftpd-dfsg - 1.3.1-17ubuntu1

---------------
proftpd-dfsg (1.3.1-17ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes (LP: #329167):
    - mod_rewrite.c.dpatch: Added S_IRUSR|S_IWUSR to build with the new
      Compiler Flags

proftpd-dfsg (1.3.1-17) unstable; urgency=high

  * Security: added 3173.dpatch patch to manage a critical encoding-dependent SQL
    injection with SQL-based authentication.
    See http://bugs.proftpd.org/show_bug.cgi?id=3173. This is fixed in 1.3.2.
    Thanks TJ for backported patch.
  * Now debian/rules removes at cleaning time a couple of .la files
    under contrib/ still around after building. This fixes a recently discovered
    FTBS error due to those files.

 -- Nick Ellery <email address hidden> Fri, 13 Feb 2009 10:55:20 -0800

Changed in proftpd-dfsg:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.